Add support for older name resolving version libraries like openBSD
authorsnuffy <snuffy22@gmail.com>
Sat, 19 Nov 2016 22:19:18 +0000 (09:19 +1100)
committersnuffy <snuffy22@gmail.com>
Sat, 19 Nov 2016 22:19:18 +0000 (09:19 +1100)
commitb546497fe0d80cfc44ecf0e88d31c7cedf5eccd8
treea45c40289d4fb971f24180ce8c34f8df4006bb03
parent7a8d6bc81b40fddffbdc00d4e9fc98856fd052ff
Add support for older name resolving version libraries like openBSD

Fix support of OS's like openBSD that use an older nameser.h,
this change reverts the defines to the older style which on other
systems is found in nameser_compat.h

Tested on openBSD 6.0, Debian 8

ASTERISK-26608 #close

Change-Id: Iffb36caab8c5aa9dece0ce2d009041f7b56cc86a
main/dns.c
main/dns_core.c
main/dns_naptr.c
main/dns_srv.c
res/res_pjsip/pjsip_resolver.c